'use strict';

require('./styles.css.js');
var React = require('react');
var jsxRuntime = require('react/jsx-runtime');

function Button(props) {
  const {
    variant = "primary",
    onClick,
    children,
    title,
    className,
    style,
    size = "md",
    disabled,
    type = "button"
  } = props;
  const sizeClass = `size-${size}`;
  return /*#__PURE__*/jsxRuntime.jsx("button", {
    disabled: disabled
    // eslint-disable-next-line react/button-has-type
    ,
    type: type,
    className: `t-btn t-btn-${variant} w3a--rounded-full ${sizeClass} ${className}`,
    onClick: onClick,
    title: title,
    style: style,
    children: children
  });
}
var Button$1 = /*#__PURE__*/React.memo(Button);

module.exports = Button$1;
