'use strict';

var auth = require('@web3auth/auth');

function capitalizeFirstLetter(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}
const restrictedLoginMethods = new Set([auth.LOGIN_PROVIDER.AUTHENTICATOR, auth.LOGIN_PROVIDER.PASSKEYS, auth.LOGIN_PROVIDER.JWT, auth.LOGIN_PROVIDER.WEBAUTHN]);
const AUTH_PROVIDERS = Object.values(auth.LOGIN_PROVIDER).filter(x => !restrictedLoginMethods.has(x));
const AUTH_PROVIDERS_NAMES = AUTH_PROVIDERS.reduce((acc, x) => {
  if (x === "email_passwordless") acc[x] = "Email";else if (x === "sms_passwordless") acc[x] = "Mobile";else acc[x] = capitalizeFirstLetter(x);
  return acc;
}, {});

exports.AUTH_PROVIDERS = AUTH_PROVIDERS;
exports.AUTH_PROVIDERS_NAMES = AUTH_PROVIDERS_NAMES;
exports.capitalizeFirstLetter = capitalizeFirstLetter;
