'use strict';

var i18n = require('i18next');
var reactI18next = require('react-i18next');
var english = require('./i18n/english.json.js');

const i18nInstance = i18n.createInstance();
i18nInstance.use(reactI18next.initReactI18next).init({
  resources: {
    en: {
      translation: english.default
    }
  },
  lng: "en",
  fallbackLng: "en",
  interpolation: {
    escapeValue: false
  },
  debug: false,
  react: {
    useSuspense: true
  }
});

module.exports = i18nInstance;
