import { LOGIN_PROVIDER } from '@web3auth/auth';

function capitalizeFirstLetter(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}
const restrictedLoginMethods = new Set([LOGIN_PROVIDER.AUTHENTICATOR, LOGIN_PROVIDER.PASSKEYS, LOGIN_PROVIDER.JWT, LOGIN_PROVIDER.WEBAUTHN]);
const AUTH_PROVIDERS = Object.values(LOGIN_PROVIDER).filter(x => !restrictedLoginMethods.has(x));
const AUTH_PROVIDERS_NAMES = AUTH_PROVIDERS.reduce((acc, x) => {
  if (x === "email_passwordless") acc[x] = "Email";else if (x === "sms_passwordless") acc[x] = "Mobile";else acc[x] = capitalizeFirstLetter(x);
  return acc;
}, {});

export { AUTH_PROVIDERS, AUTH_PROVIDERS_NAMES, capitalizeFirstLetter };
