import "./css/web3auth.css";
import { SafeEventEmitter } from "@web3auth/auth";
import { BaseAdapterConfig, LoginMethodConfig, WALLET_ADAPTER_TYPE } from "@web3auth/base";
import { LoginModalProps, UIConfig } from "./interfaces";
export declare class LoginModal extends SafeEventEmitter {
    private uiConfig;
    private stateEmitter;
    private chainNamespace;
    private walletRegistry;
    constructor(uiConfig: LoginModalProps);
    get isDark(): boolean;
    initModal: () => Promise<void>;
    addSocialLogins: (adapter: WALLET_ADAPTER_TYPE, loginMethods: LoginMethodConfig, loginMethodsOrder: string[], uiConfig: Omit<UIConfig, "adapterListener">) => void;
    addWalletLogins: (externalWalletsConfig: Record<string, BaseAdapterConfig>, options: {
        showExternalWalletsOnly: boolean;
    }) => void;
    open: () => void;
    closeModal: () => void;
    initExternalWalletContainer: () => void;
    private handleShowExternalWallets;
    private handleExternalWalletClick;
    private handleSocialLoginClick;
    private setState;
    private updateWalletConnect;
    private handleAdapterData;
    private subscribeCoreEvents;
}
